Bug 1023968 - [abrt] system-config-printer-1.4.2-1.fc19: exceptions.py:60:get_dbus_message:UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-1: ordinal not in range(128)
[abrt] system-config-printer-1.4.2-1.fc19: exceptions.py:60:get_dbus_message:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:745ad97f802545e385c0dcb7030...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 09:09 EDT by ZiN
Modified: 2015-01-26 07:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 07:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2013-10-28 09:09 EDT, ZiN
no flags Details
File: environ (1.86 KB, text/plain)
2013-10-28 09:09 EDT, ZiN
no flags Details

  None (edit)
Description ZiN 2013-10-28 09:09:07 EDT
Version-Release number of selected component:
system-config-printer-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /usr/share/system-config-printer/applet.py
dso_list:       dbus-python-1.1.1-5.fc19.i686
executable:     /usr/share/system-config-printer/applet.py
kernel:         3.11.2-201.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
exceptions.py:60:get_dbus_message:UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-1: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 607, in msg_reply_handler
    *message.get_args_list()))
  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 669, in <lambda>
    keywords[error_callback] = lambda exception: _method_reply_error(connection, message, exception)
  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 284, in _method_reply_error
    contents = exception.get_dbus_message()
  File "/usr/lib/python2.7/site-packages/dbus/exceptions.py", line 60, in get_dbus_message
    s = Exception.__str__(self)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-1: ordinal not in range(128)

Local variables in innermost frame:
self: DBusException(dbus.String(u'\u041d\u0435 \u0443\u0434\u0430\u043b\u043e\u0441\u044c \u043d\u0430\u0439\u0442\u0438 \u0434\u0440\u0430\u0439\u0432\u0435\u0440 \u0434\u043b\u044f \u043f\u0440\u0438\u043d\u0442\u0435\u0440\u0430 \u043d\u0438 \u0432 \u043e\u0434\u043d\u043e\u043c \u0438\u0437 \u0438\u0441\u0442\u043e\u0447\u043d\u0438\u043a\u043e\u0432 \u043f\u0440\u043e\u0433\u0440\u0430\u043c\u043c'),)
Comment 1 ZiN 2013-10-28 09:09:12 EDT
Created attachment 816799 [details]
File: backtrace
Comment 2 ZiN 2013-10-28 09:09:16 EDT
Created attachment 816801 [details]
File: environ
Comment 3 Tim Waugh 2013-10-28 13:44:57 EDT
What were you doing when this occurred? e.g. did you connect a printer, or configure a new print queue, or print a job to an existing print queue, or something else?
Comment 4 ZiN 2013-10-29 00:15:59 EDT
I plugged in a USB printer, then a printer add dialog appeared but it failed. I then tried several times to add it manually via system-config-printer but it also failed on a driver setup step.
Comment 5 Tim Waugh 2013-10-30 13:40:10 EDT
Could you please update to system-config-printer-1.4.3-3.fc19 and see if the problem still remains?:

http://koji.fedoraproject.org/koji/buildinfo?buildID=474862

Download system-config-printer, system-config-printer-libs, and system-config-printer-udev for your architecture, then use:

sudo yum localupdate ./system-config-printer-*.rpm

to install them.
Comment 8 Fedora End Of Life 2015-01-09 15:23:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 ZiN 2015-01-26 07:29:32 EST
Excuse me, please for so long silence. I could not reproduce the situation, sine most of my computers have Fedora 20, and I could not access printer on F19 system. Now that F21 have been released and F19 is end of life, it seems that this bug needs to be closed as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.